#!/bin/sh -e
# Copyright (C)2014..2018 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: test.sh,v 1.7 2019/03/05 13:48:46 babolo Exp $

thislib="./lib/librecobe.so.${1}"

env LD_PRELOAD="${thislib}" ./recobe -=51ai
env LD_PRELOAD="${thislib}" ./recobe -=51ak
env LD_PRELOAD="${thislib}" ./recobe -=51aw
env LD_PRELOAD="${thislib}" ./recobe -=51az
env LD_PRELOAD="${thislib}" ./recobe -=51ia
env LD_PRELOAD="${thislib}" ./recobe -=51ik
env LD_PRELOAD="${thislib}" ./recobe -=51iw
env LD_PRELOAD="${thislib}" ./recobe -=51ka
env LD_PRELOAD="${thislib}" ./recobe -=51ki
env LD_PRELOAD="${thislib}" ./recobe -=51kw
env LD_PRELOAD="${thislib}" ./recobe -=51kz
env LD_PRELOAD="${thislib}" ./recobe -=51kK
env LD_PRELOAD="${thislib}" ./recobe -=51wa
env LD_PRELOAD="${thislib}" ./recobe -=51wi
env LD_PRELOAD="${thislib}" ./recobe -=51wk
env LD_PRELOAD="${thislib}" ./recobe -=51zk
env LD_PRELOAD="${thislib}" ./recobe -=51za
env LD_PRELOAD="${thislib}" ./recobe -=51Kk
env LD_PRELOAD="${thislib}" ./recobe -=52Au
env LD_PRELOAD="${thislib}" ./recobe -=52uA
env LD_PRELOAD="${thislib}" ./recobe -s1 32dfb15f232cf970fffc32128f795374155743d44295fad9fda38a66f0461608d8e5
env LD_PRELOAD="${thislib}" ./recobe -s-1 32dfb15f232cf970fffc32128f795374155743d44295fad9fda38a66f0461608d8e5
env LD_PRELOAD="${thislib}" ./recobe -s2 32dfb15f232cf970fffc32128f795374155743d44295fad9fda38a66f0461608d8e5
env LD_PRELOAD="${thislib}" ./recobe -s-2 32dfb15f232cf970fffc32128f795374155743d44295fad9fda38a66f0461608d8e5
env LD_PRELOAD="${thislib}" ./recobe -s3 32dfb15f232cf970fffc32128f795374155743d44295fad9fda38a66f0461608d8e5
env LD_PRELOAD="${thislib}" ./recobe -s-3 32dfb15f232cf970fffc32128f795374155743d44295fad9fda38a66f0461608d8e5
env LD_PRELOAD="${thislib}" ./recobe -s1 eb5d30
env LD_PRELOAD="${thislib}" ./recobe -s-1 eb5d30
env LD_PRELOAD="${thislib}" ./recobe -s2 eb5d30
env LD_PRELOAD="${thislib}" ./recobe -s-2 eb5d30
env LD_PRELOAD="${thislib}" ./recobe -s3 eb5d30
env LD_PRELOAD="${thislib}" ./recobe -s-3 eb5d30
env LD_PRELOAD="${thislib}" ./recobe -s1 e0
env LD_PRELOAD="${thislib}" ./recobe -s-1 e0
env LD_PRELOAD="${thislib}" ./recobe -s2 e0
env LD_PRELOAD="${thislib}" ./recobe -s-2 e0
env LD_PRELOAD="${thislib}" ./recobe -s3 e0
env LD_PRELOAD="${thislib}" ./recobe -s-3 e0
tools/ctest o 3 0x0122034405660788
tools/ctest o -3 0x0122034405660788
tools/ctest o 9 0xFFE0DDC0BBA09980
tools/ctest o -9 0xFFE0DDC0BBA09980
tools/ctest 3412 0 0x0122034405660788
tools/ctest 7968 0 0x0122034405660788
tools/ctest u 0 0x000000003BA09980
tools/ctest u 0 0x00000000BBA09980
tools/ctest u 0 0x000000000047FD67
tools/ctest u 0 0x000000000007FD67
tools/ctest u 0 0x000000000000FD67
tools/ctest u 0 0x0000000000000D67
tools/ctest u 0 0x0000000000000067
tools/ctest c 0 0xFFE0DDC0BBA09980
tools/ctest c 0 0x0001FFE0DDC0BBA0
tools/ctest c 0 0x0000001FFE0DDC0B
tools/ctest c 0 0x00000003FE0DDC0B
